Watch, Follow, &
Connect with Us

Welcome, Guest
Guest Settings
Help

Thread: RadPHP XE2 Update4 Support for PHP7?



Permlink Replies: 4 - Last Post: Mar 26, 2017 12:36 AM Last Post By: David Pratt Threads: [ Previous | Next ]
roca robin

Posts: 82
Registered: 9/10/06
RadPHP XE2 Update4 Support for PHP7?
Click to report abuse...   Click to reply to this thread Reply
  Posted: Jan 9, 2017 9:06 PM
Hi,
Does RadPhP Xe2 Update4 support PhP7? if not How to customized that RadPhP understand PhP7.

thank you
roca robin

Posts: 82
Registered: 9/10/06
Re: RadPHP XE2 Update4 Support for PHP7?
Click to report abuse...   Click to reply to this thread Reply
  Posted: Jan 10, 2017 6:56 PM   in response to: roca robin in response to: roca robin
roca robin wrote:
Hi,
Does RadPhP Xe2 Update4 support PhP7? if not How to customized that RadPhP understand PhP7.

thank you

since no one replied, I will.

PhP7 - 7 is only a version, PhP is an Interpreter for Apache server, so it should work.

Update PhP folder with PhP7 needed files.

thank you
David Pratt

Posts: 9
Registered: 5/21/98
Re: RadPHP XE2 Update4 Support for PHP7?
Click to report abuse...   Click to reply to this thread Reply
  Posted: Feb 24, 2017 9:26 AM   in response to: roca robin in response to: roca robin
roca robin wrote:
roca robin wrote:
Hi,
Does RadPhP Xe2 Update4 support PhP7? if not How to customized that RadPhP understand PhP7.

thank you

since no one replied, I will.

PhP7 - 7 is only a version, PhP is an Interpreter for Apache server, so it should work.

Update PhP folder with PhP7 needed files.

thank you

One major problem is that there are a lot of changes from php5.5 (the version that shipped with RADPHPXE2) and PHP7 that will break the RPCL coding.
roca robin

Posts: 82
Registered: 9/10/06
Re: RadPHP XE2 Update4 Support for PHP7?
Click to report abuse...   Click to reply to this thread Reply
  Posted: Mar 16, 2017 7:49 AM   in response to: David Pratt in response to: David Pratt
David Pratt wrote:
One major problem is that there are a lot of changes from php5.5 (the version that shipped with RADPHPXE2) and PHP7 that will break the RPCL coding.

Does it mean it's totally useless? have you tried troubleshooting the problems?
David Pratt

Posts: 9
Registered: 5/21/98
Re: RadPHP XE2 Update4 Support for PHP7?
Click to report abuse...   Click to reply to this thread Reply
  Posted: Mar 26, 2017 12:36 AM   in response to: roca robin in response to: roca robin
roca robin wrote:
David Pratt wrote:
One major problem is that there are a lot of changes from php5.5 (the version that shipped with RADPHPXE2) and PHP7 that will break the RPCL coding.

Does it mean it's totally useless? have you tried troubleshooting the problems?

No, I have not because I haven't started working with Php7 yet. RadPHPXE2 is headache enough under PHP 5.5 under the best of conditions, I do not want to even attempt a migration to 7 at this time.
Legend
Helpful Answer (5 pts)
Correct Answer (10 pts)

Server Response from: ETNAJIVE02